import { createApp } from "vue";
import App from "./App.vue";
import router from "./router";
import { createPinia } from "pinia";
import { FontAwesomeIcon, FontAwesomeLayers } from "@fortawesome/vue-fontawesome";
require("@/font-awesome");
import uiCompList from "@/components/UI/index";

const app = createApp(App);

app.use(createPinia());
app.use(router);
app.component("FontAwesomeIcon", FontAwesomeIcon);
app.component("FontAwesomeLayers", FontAwesomeLayers);

for (const [name, comp] of Object.entries(uiCompList)) {
    app.component(name, comp);
}

app.mount("#app");
